Package org.postgresql.xa

# Class PGXAException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.transaction.xa.XAException
org.postgresql.xa.PGXAException

All Implemented Interfaces:
  `Serializable`

public class PGXAException extends XAException
A convenience subclass of `XAException` which makes it easy to create an instance of `XAException` with a human-readable message, a `Throwable` cause, and an XA error code.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.transaction.xa.XAException

`errorCode, XA_HEURCOM, XA_HEURHAZ, XA_HEURMIX, XA_HEURRB, XA_NOMIGRATE, XA_RBBASE, XA_RBCOMMFAIL, XA_RBDEADLOCK, XA_RBEND, XA_RBINTEGRITY, XA_RBOTHER, XA_RBPROTO, XA_RBROLLBACK, XA_RBTIMEOUT, XA_RBTRANSIENT, XA_RDONLY, XA_RETRY, XAER_ASYNC, XAER_DUPID, XAER_INVAL, XAER_NOTA, XAER_OUTSIDE, XAER_PROTO, XAER_RMERR, XAER_RMFAIL`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`